/// Invalid channel specification (e.g., mutually exclusive parameters provided)
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidChannelSpecification {
    #[builder(into)]
    #[serde(rename = "message")]
    message: String,
}
impl InvalidChannelSpecification {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(message: impl Into<String>) -> Self {
        Self::builder().message(message).build()
    }
    #[inline]
    pub fn message(&self) -> &str {
        &*self.message
    }
}
impl conjure_error::ErrorType for InvalidChannelSpecification {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Video:InvalidChannelSpecification"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["message"]
    }
}
